% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rdbw2d.R
\name{summary.rdbw2d}
\alias{summary.rdbw2d}
\title{Summary Method for Bandwidth Selection for 2D Local Polynomial RD Design}
\usage{
\method{summary}{rdbw2d}(object, ...)
}
\arguments{
\item{object}{An object of class \code{rdbw2d}, typically returned by \code{\link{rdbw2d}}.}

\item{...}{Optional arguments. Supported options include:
\itemize{
\item \code{subset}: Integer vector of indices of evaluation points to display. Defaults to all evaluation points.
\item \code{sep}: Integer. Controls spacing in the output. Default is \code{8}.
}}
}
\value{
No return value. Called for its side effects of printing a formatted summary of \code{\link{rdbw2d}} results.
}
\description{
Summary method for objects of class \code{rdbw2d}, displaying bandwidth selection results for 2D local polynomial regression discontinuity designs.
}
\seealso{
\code{\link{rdbw2d}} for bandwidth selection in 2D local polynomial RD design.

Supported methods: \code{\link{print.rdbw2d}}, \code{\link{summary.rdbw2d}}.
}
\author{
Matias D. Cattaneo, Princeton University. \email{cattaneo@princeton.edu} \cr
Rocío Titiunik, Princeton University. \email{titiunik@princeton.edu} \cr
Ruiqi Rae Yu, Princeton University. \email{rae.yu@princeton.edu}
}
