% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rdbw2d_dist.R
\name{summary.rdbw2d.dist}
\alias{summary.rdbw2d.dist}
\title{Summary Method for Bandwidth Selection in 2D Local Polynomial RD Design (Distance-Based)}
\usage{
\method{summary}{rdbw2d.dist}(object, ...)
}
\arguments{
\item{object}{An object of class \code{rdbw2d.dist}, returned by \code{\link{rdbw2d.dist}}.}

\item{...}{Optional arguments. Supported options include:
\itemize{
\item \code{subset}: Integer vector of indices of evaluation points to display. Defaults to all evaluation points.
\item \code{sep}: Integer vector of length two. Controls spacing in the output.
\code{sep[1]} controls spacing for the columns of evaluation points in the table.
\code{sep[2]} controls spacing for the columns of bandwidths in the table.
Default is \code{c(8, 14)}.
}}
}
\value{
No return value. This function is called for its side effects: it prints a formatted summary of \code{\link{rdbw2d.dist}} results.
}
\description{
Summarizes bandwidth selection results from a 2D local polynomial regression discontinuity (RD) design using distance-based methods, as returned by \code{\link{rdbw2d.dist}}.
}
\seealso{
\code{\link{rdbw2d.dist}} for bandwidth selection using 2D local polynomial RD design with distance-based methods.

Supported methods: \code{\link{print.rdbw2d.dist}}, \code{\link{summary.rdbw2d.dist}}.
}
\author{
Matias D. Cattaneo, Princeton University. \email{cattaneo@princeton.edu} \cr
Rocío Titiunik, Princeton University. \email{titiunik@princeton.edu} \cr
Ruiqi Rae Yu, Princeton University. \email{rae.yu@princeton.edu}
}
